gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Notebook widget container.

The Notebook widget is a whose children are pages that can be switched between using tabs along the edge. Tabs are typically widgets, but can be any other widget.

There are many configuration options for Notebooks. Among other things, you can choose on which edge the tabs appear (The property), whether, if there are too many tabs to fit the notebook should be made bigger or scrolling arrows added (The property), and whether there will be a popup menu allowing the users to switch pages (The property).

Notebooks without tabs, can be used as containers to quickly switch between different groups of information to reduce any flicker caused by widget relayout by the application.

`using System; using Gtk; class NotebookSample { static void Main () { new NotebookSample (); } NotebookSample () { Application.Init (); Window win = new Window ("NotebookSample"); win.DeleteEvent += new DeleteEventHandler (OnWinDelete); win.SetDefaultSize (400, 400); Notebook nb = new Notebook (); for (int i = 0; i < 5; i ++) { string label = String.Format ("Page {0}", i+1); nb.AppendPage (new Button (label), new Label (label)); } win.Add (nb); win.ShowAll (); Application.Run (); } void OnWinDelete (object obj, DeleteEventArgs args) { Application.Quit (); } }` (FIXME: all methods in this class should specify types in their param elements, and this doc needs a good proofreading.) Gtk.Container Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.String `` Returns the label caption for the Notebookpage containing the given widget. The widget in the page.

  The text of the tab label, or if the widget does not have a tab label other than the default tab label, or the tab label page is not a .

  Returns the tab label text for the page child. is returned if the child widget is not in the notebook or if no tab label has specifically been set for the .

- Method
  System.String `` Returns the label caption for the menu of the notebookpage containing the given widget. The child widget in the page

  The text of the menu label, or if the widget does not have a menu label other than the default menu label, or the menu label page is not a .

  Retrieves the text of the menu label for the page containing .

- Method
  System.Void Enables the page-selection popup.

  Enables the popup menu: if the user clicks with the right mouse button on the bookmarks, a menu with all the pages will be popped up.

- Method
  System.Void `` `` Sets the label for the page containing a widget The child widget whose label will be changed The new caption for the tab.

  Creates a new label and sets it as the tab label for the page containing .

- Method
  System.Void Switches to the previous page.

  Switches to the previous page. Nothing happens if the current page is the first page.

- Method
  System.Void Enables the page-selection popup.

  Disables the popup menu. Inverse operation of

- Method
  System.Void `` Removes a page. The page number to remove starting from zero. You can use minus one to remove the last page.

  Removes a page from the notebook given its index in the notebook.

- Method
  Gtk.Widget `` Returns the label for the menu of the notebookpage containing the given widget. The child widget in the page. The , or null if the page does not have a menu label other than the default menu label. the label of a menu doesn't have to be a . it can be any
- Method
  System.Void `` `` Changes the position of a widget in the notebook. The widget to move. The new position, or -1 to move to the end

  Reorders the page containing , so that it appears in position position. If position is greater than or equal to the number of children in the list or negative, will be moved to the end of the list.

- Method
  Gtk.Widget `` Returns the for the Notebook page containing the given widget. The child widget in the page. The label, or null if the page does not have a tab label other than the default tab label.

  the label of a menu doesn't have to be a . it can be any

- Method
  Gtk.Widget `` Returns the notebookpage with the given index. the zero-based index of the page to return. use -1 for the last page. returns the with the given index.
- Method
  System.Void `` `` sets the text of a menu label of a page. the page. the text of the label.
- Method
  System.Void

  Switches to the next page.

  Switches to the next page. Nothing happens if the current page is the last page.

- Method
  System.Void `` `` Sets the menu label of a page. the page the to use as menu label. use null to get the same label as the tab label, this only works if the tab label is a
- Method
  System.Void `` `` `` `` Sets the packing of the tab label of a page. a page. sets true to expand the label. sets true to fill to fill the allocated area. sets of the label.
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of Notebook, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Creates a new object.
  an object of type
  This is the default constructor for .
- Property
  System.Int32 Sets or obtains the index of the curent page. the index of the page to switch to. Returns the index of the current page . The index (starting from 0) of the current page in the notebook. If the notebook has no pages, then -1 will be returned.
- Property
  System.Boolean Indicates if scroll arrows are added if there are too many tabs. a Boolean value to select if scroll arrows are added or not. Returns true if arrows are added and false if not. Default is false.
- Property
  System.Boolean Indicates if the tabs are shown. a Boolean value to select if the tabs are shown or not. Returns true if the tabs are shown and false if not. Default value is true.
- Property
  System.Boolean Indicates if the border is shown. a Boolean value to select if the border should be shown or not. Returns true if the border is shown and false if not. Default value is true.
- Property
  System.UInt32 Sets or obtains yhe width of the horizontal border arround the tabs. a uint value to select the horizontal width of the border. Returns the horizontal width of the border. Default value is 2.
- Property
  System.Boolean Indicates if all the tabs have the same size. Selects if the tabs have the same size or not. Returns a boolean to indicate if the tabs have the same size or not. True if the tabs have the same size and false if not. Default is false.
- Property
  System.UInt32 Sets or obtains the width of the vertical border arround the tabs. a uint value to select the vertical width of the border. Returns the vertical width of the border. Default value is 2.
- Property
  System.UInt32 Sets the width of the border arround the tabs.. a uint value to select the width of the border. Default value is 2. This is a easy the change and at the same time. Use those properties to read the width.
- Property
  System.Int32 Sets or obtains the index of the curent page. The index of the page to switch to. Returns the index of the curent page. use instead.
- Property
  Gtk.PositionType Sets or obtains The position of the tabs. The new . the of this notebook. default is top.
- Property
  System.Boolean Indicates if the popup menu in enabled. Use true to enable and false to disable. Returns true if the popup menu is enabled and false if not. if true and the user clicks with the right mouse button on the tabs, a menu with all the pages will be popped up.
- Event
  Gtk.SelectPageHandler Fired when a page of the notebook is selected.
- Event
  Gtk.SwitchPageHandler Signaled when the page changes

  This signal is raised when the page is changed either by the user or programatically.

- Event
  Gtk.MoveFocusOutHandler Signaled when Focus is being moved out.

  This event is raised before the focus is removed from the current widget

- Event
  Gtk.ChangeCurrentPageHandler Signaled when a request is made to change the current page

  This event is raised when a request is made to change the current page in the notebook.

- Event
  Gtk.FocusTabHandler Signaled when a Tab is focused

  This event is raised when a tab has been focused.

- Method
  System.Void `` `` Sets the label for the page containing a widget the page the to use as label. use null for the default label.
- Property
  System.Int32 returns the amount of pages in this notebook. the amount of pages in the notebook.
- Property
  Gtk.Widget Obtains the widget that represents the current page. The object in the current page.

  This property uses and together to provide a quicker way of getting the current page widget.

- Method
  System.Void `` `` `` `` Query the packing attributes for the tab label of the page containing child. the page. indicates if expand is true or false. indicates if fill is true or false. returns to which is used.
- Property
  GLib.GType GType Property. a Returns the native value for .
- Method
  System.Boolean `` Default handler for the event. a a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void `` Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void `` Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void `` `` Default handler for the event. a a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Boolean `` Default handler for the event. a a Override this method in a subclass to provide a default handler for the event.
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Method
  System.Int32 `` Returns the page number that a child exists on. to look for. Page number that the widget exists on, -1 if the widget isn't in the notebook. This function returns -1 if the is not a direct child of the notebook.
- Property
  System.Boolean To be added a To be added
- Method
  System.Int32 `` `` `` prepends a page, with a custom popup-label. the to use as contents of the page. the to use as tab label. use null to use the default label. the to use as menu label. use null to get the same label as the tab label, this only works if the tab label is a a

  Don't forget to call the Show method on the widget or else the new page will not be shown.

- Method
  System.Int32 `` `` prepends a page. a t use as content of the page. the to use as the tab label. use null to use the default label. a

  Don't forget to call the Show method on the widget or else the new page will not be shown.

- Method
  System.Int32 `` `` `` `` Insert a page into notebook at the given position, with a custom popup-label. The to use as th content of the page. the to use as a label. use null for the default label. the to use as menu label. use null to get the same label as the tab label, this only works if the tab label is a the zero-based position to insert the page. use -1 make it the last page. a

  Don't forget to call the Show method on the widget or else the new page will not be shown.

- Method
  System.Int32 `` `` `` Inserts a page into the notebook The to use as the contents of the page. The to be used as the label for the page, or to use the default label, 'page N'. The index (starting at 0) at which to insert the page, or -1 to append the page after all other pages. a

  Insert a page into the notebook at the given position.

  Don't forget to call the Show method on the widget or else the new page will not be shown.

- Method
  System.Int32 `` `` `` Appends a page, with a custom popup-label. The to use as the contents of the page. The to be used as the label for the page, or to use the default label, 'page N'. The widget to use as a label for the page-switch menu, if its enabled. If is passed, and is a or , then the menu label will be a newly created label with the same text as ; If is not a , must be specified if the page-switch menu is to be used. a

  Appends a page to notebook, specifying the widget to use as the label in the popup menu.

  Don't forget to call the Show method on the widget or else the new page will not be shown.

- Method
  System.Int32 `` `` Appends a page. The to use as the contents of the page. The to be used as the label for the page, or to use the default label, 'page N'. a

  Appends a page to notebook. The tab widget is the and the content is .

  Don't forget to call the Show method on the widget or else the new page will not be shown.

- Method
  System.String `` Get a page's tab label. a child of this the page's tab label
- Method
  System.Void `` `` Set a page's tab label. a child of this the page's new tab label
- Method
  System.Boolean `` Get the "fill" value of a page's tab label. a child of this if the page's label is set to "fill" See for more details.
- Method
  System.Void `` `` Set the "fill" value of a page's tab label. a child of this whether or not the page's label should "fill" See for more details.
- Method
  System.Boolean `` Get the "expand" value of a page's tab label. a child of this if the page's label is set to "expand" See for more details.
- Method
  System.Void `` `` Set the "expand" value of a a page's tab label. a child of this whether or not the page's label should "expand" See for more details.
- Method
  Gtk.PackType `` Get the pack type of a page's tab label. a child of this 's label's pack type See for more details.
- Method
  System.Void `` `` Set the pack type of a page's tab label. a child of this 's label's new pack type See for more details.
- Method
  System.Int32 `` Get the position within the notebook of a page. a child of this the position of in the notebook
- Method
  System.Void `` `` Set the position within the notebook of a page. a child of this the new position of in the notebook
- Method
  System.String `` Get a page's menu label. a child of this the label of that page in the notebook's pop-up menu
- Method
  System.Void `` `` Set a page's menu label. a child of this the new label of that page in the notebook's pop-up menu